/***************************************************************************
 *   Copyright (C) 2005 Nicolas Hadacek <hadacek@kde.org>                  *
 *   Copyright (C) 2003-2004 Alain Gibaud <alain.gibaud@free.fr>           *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 ***************************************************************************/
#ifndef CONFIG_H
#define CONFIG_H

#include "FNU.h"
#include "programmer.h"

class Config
{
public:
  static void getAsmConfig(QString &hex, QString &include, QString& radix,
  QString &warning, QString &other) ;
  static void setAsmConfig(const  QString &hex,const  QString &include,const  QString& radix,
  const QString &warning,const  QString &other) ;

  static void getDAsmConfig(bool& shortlist, QString& other);
  static void setDAsmConfig(bool shortlist, const QString& other);

  static void getGlobal(QString &version)   ;
  static void setGlobal(const QString &version)   ;

  static void setOpened(const PURL &project, const PURL::List &files);
  static void getOpened(PURL &project, PURL::List &files);

  static void writeProgrammerType(DeviceUser::Type type);
  static DeviceUser::Type programmerType();
  static void writeDefaultDevice(const QString &name);
  static QString defaultDevice();

  static void writeShowDebugLog(bool show);
  static bool showDebugLog();
};

#endif
