/***************************************************************************
 *   Copyright (C) 2005 Nicolas Hadacek <hadacek@kde.org>                  *
 *   Copyright (C) 2004 Alain Gibaud <alain.gibaud@free.fr>                *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 ***************************************************************************/
#ifndef CONFIGWIDGET_H
#define CONFIGWIDGET_H

#include <qwidget.h>
#include <qpixmap.h>

/**Base class for configuration widgets
  *@author Gibaud Alain
  */

class ConfigWidget : public QWidget
{
 Q_OBJECT
public:
  ConfigWidget(QWidget *parent = 0, const char *name = 0) : QWidget(parent, name) {}
  virtual ~ConfigWidget() {}

  virtual QString title() const { return QString::null; }
  virtual QString configName() const { return QString::null; }
  virtual QPixmap icon() const { return QPixmap(); }

public slots:
  virtual void doApply() = 0 ;
};

#endif
