/***************************************************************************
 *   Copyright (C) 2005 Nicolas Hadacek <hadacek@kde.org>                  *
 *   Copyright (C) 2003-2004 Alain Gibaud <alain.gibaud@free.fr>           *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 ***************************************************************************/
#include <qlineedit.h>
#include <qstring.h>

// A Hex value Editor
// It is directly linked to an unsigned int variable
class HexValueEditor : public QLineEdit
{
  Q_OBJECT
public:
  HexValueEditor(QWidget *parent, uint *data, uint mask, uint nbChars);
  
  virtual QSize sizeHint() const;
  virtual QSize minimumSizeHint() const;
  void setNewAdress(uint *data);
  void setColor(const QColor& color);
  void setReadWrite(bool readWrite);

signals:
  void modified();

private slots:
  void tryUpdate(const QString &string);
  void slotLostFocus();

private:
  bool _readWrite;
  uint _nbChars, *_data, _mask;
};
