/***************************************************************************
 *   Copyright (C) 2005 Nicolas Hadacek <hadacek@kde.org>                  *
 *   Copyright (C) 2003-2004 Alain Gibaud <alain.gibaud@free.fr>           *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 ***************************************************************************/
#ifndef NEWPROJECT_H
#define NEWPROJECT_H

#include <qlineedit.h>
#include <qcheckbox.h>
#include <qcombobox.h>
#include <qlabel.h>
#include <qlayout.h>

#include <kdialogbase.h>

#include "FNU.h"
#include "AsmConfigWidget.h"
class Project;

//----------------------------------------------------------------------------
class NewDialog : public KDialogBase
{
  Q_OBJECT
public:
  NewDialog(const QString &caption, QWidget *parent);

  PURL url() const;

protected:
  QGridLayout *_top;
  QLabel      *_fLabel;
  QLineEdit   *_filename, *_dir;

  virtual PURL::FileType type() const = 0;
  virtual PDirectory startDir() const { return PDirectory::home(); }

private slots:
  void changed();
  void browse();
};

//----------------------------------------------------------------------------
class NewProjectDialog : public NewDialog
{
  Q_OBJECT
public:
  NewProjectDialog(QWidget *parent);

  QString device() const { return _deviceChooser->device(); }

private:
  DeviceChooser *_deviceChooser;

  virtual PURL::FileType type() const { return PURL::Project; }
};

//----------------------------------------------------------------------------
class NewFileDialog : public NewDialog
{
  Q_OBJECT
public:
  NewFileDialog(Project *project, QWidget *parent);

  bool addToProject() const { return _add->isChecked(); }

private slots:
  void typeChanged(int index);

private:
  Project   *_project;
  QComboBox *_type;
  QCheckBox *_add;

  virtual PURL::FileType type() const;
  virtual PDirectory startDir() const;
};

#endif
