/***************************************************************************
 *   Copyright (C) 2005 Nicolas Hadacek <hadacek@kde.org>                  *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 ***************************************************************************/
#ifndef PRG_CONFIGWIDGET
#define PRG_CONFIGWIDGET

#include <qcombobox.h>
#include <qwidgetstack.h>

#include "ConfigWidget.h"
#include "device_list.h"

//-----------------------------------------------------------------------------
class ProgConfigWidget : public ConfigWidget
{
  Q_OBJECT
public:
  ProgConfigWidget();

  virtual QString configName() const;
  virtual QString title() const;
  virtual QPixmap icon() const;

public slots:
  virtual void doApply();

private slots:
  void programmerChanged(int i);

private:
  QComboBox *_combo;
  QWidgetStack *_stack;

  DeviceUser::Type type(int index) const;
};

#endif
