/***************************************************************************
 *   Copyright (C) 2005 Nicolas Hadacek <hadacek@kde.org>                  *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 ***************************************************************************/
#include "devices.h"

#include "dspic30f2010.c"
#include "dspic30f2011.c"
#include "dspic30f2012.c"
#include "dspic30f3010.c"
#include "dspic30f3011.c"
#include "dspic30f3012.c"
#include "dspic30f3013.c"
#include "dspic30f3014.c"
#include "dspic30f4011.c"
#include "dspic30f4012.c"
#include "dspic30f4013.c"
#include "dspic30f5011.c"
#include "dspic30f5013.c"
#include "dspic30f5015.c"
#include "dspic30f6010.c"
#include "dspic30f6011.c"
#include "dspic30f6012.c"
#include "dspic30f6013.c"
#include "dspic30f6014.c"
#include "pic10f200.c"
#include "pic10f202.c"
#include "pic10f204.c"
#include "pic10f206.c"
#include "pic12c508a.c"
#include "pic12c508.c"
#include "pic12c509a.c"
#include "pic12c509.c"
#include "pic12c671.c"
#include "pic12c672.c"
#include "pic12ce518.c"
#include "pic12ce519.c"
#include "pic12ce673.c"
#include "pic12ce674.c"
#include "pic12cr509a.c"
#include "pic12f508.c"
#include "pic12f509.c"
#include "pic12f629.c"
#include "pic12f635.c"
#include "pic12f675.c"
#include "pic12f683.c"
#include "pic14000.c"
#include "pic16c432.c"
#include "pic16c433.c"
#include "pic16c505.c"
#include "pic16c54.c"
#include "pic16c54c.c"
#include "pic16c554.c"
#include "pic16c557.c"
#include "pic16c558.c"
#include "pic16c55a.c"
#include "pic16c55.c"
#include "pic16c56a.c"
#include "pic16c56.c"
#include "pic16c57.c"
#include "pic16c57c.c"
#include "pic16c58a.c"
#include "pic16c58b.c"
#include "pic16c620a.c"
#include "pic16c620.c"
#include "pic16c621a.c"
#include "pic16c621.c"
#include "pic16c622a.c"
#include "pic16c622.c"
#include "pic16c62a.c"
#include "pic16c62b.c"
#include "pic16c63a.c"
#include "pic16c63.c"
#include "pic16c642.c"
#include "pic16c64a.c"
#include "pic16c65a.c"
#include "pic16c65b.c"
#include "pic16c662.c"
#include "pic16c66.c"
#include "pic16c67.c"
#include "pic16c710.c"
#include "pic16c711.c"
#include "pic16c712.c"
#include "pic16c715.c"
#include "pic16c716.c"
#include "pic16c717.c"
#include "pic16c71.c"
#include "pic16c72a.c"
#include "pic16c72.c"
#include "pic16c73a.c"
#include "pic16c73b.c"
#include "pic16c745.c"
#include "pic16c74a.c"
#include "pic16c74b.c"
#include "pic16c765.c"
#include "pic16c76.c"
#include "pic16c770.c"
#include "pic16c771.c"
#include "pic16c773.c"
#include "pic16c774.c"
#include "pic16c77.c"
#include "pic16c781.c"
#include "pic16c782.c"
#include "pic16c923.c"
#include "pic16c924.c"
#include "pic16c925.c"
#include "pic16c926.c"
#include "pic16ce623.c"
#include "pic16ce624.c"
#include "pic16ce625.c"
#include "pic16cr54a.c"
#include "pic16cr54.c"
#include "pic16cr54c.c"
#include "pic16cr56a.c"
#include "pic16cr57c.c"
#include "pic16cr58b.c"
#include "pic16cr620a.c"
#include "pic16cr62.c"
#include "pic16cr63.c"
#include "pic16cr64.c"
#include "pic16cr65.c"
#include "pic16cr72.c"
#include "pic16cr83.c"
#include "pic16cr84.c"
#include "pic16f505.c"
#include "pic16f54.c"
#include "pic16f57.c"
#include "pic16f627a.c"
#include "pic16f627.c"
#include "pic16f628a.c"
#include "pic16f628.c"
#include "pic16f630.c"
#include "pic16f636.c"
#include "pic16f648a.c"
#include "pic16f676.c"
#include "pic16f684.c"
#include "pic16f688.c"
#include "pic16f716.c"
#include "pic16f72.c"
#include "pic16f737.c"
#include "pic16f73.c"
#include "pic16f747.c"
#include "pic16f74.c"
#include "pic16f767.c"
#include "pic16f76.c"
#include "pic16f777.c"
#include "pic16f77.c"
#include "pic16f818.c"
#include "pic16f819.c"
#include "pic16f83.c"
#include "pic16f84a.c"
#include "pic16f84.c"
#include "pic16f870.c"
#include "pic16f871.c"
#include "pic16f872.c"
#include "pic16f873a.c"
#include "pic16f873.c"
#include "pic16f874a.c"
#include "pic16f874.c"
#include "pic16f876a.c"
#include "pic16f876.c"
#include "pic16f877a.c"
#include "pic16f877.c"
#include "pic16f87.c"
#include "pic16f88.c"
#include "pic16hv540.c"
#include "pic17c42a.c"
#include "pic17c42.c"
#include "pic17c43.c"
#include "pic17c44.c"
#include "pic17c752.c"
#include "pic17c756a.c"
#include "pic17c756.c"
#include "pic17c762.c"
#include "pic17c766.c"
#include "pic17cr42.c"
#include "pic17cr43.c"
#include "pic18c242.c"
#include "pic18c252.c"
#include "pic18c442.c"
#include "pic18c452.c"
#include "pic18c601.c"
#include "pic18c658.c"
#include "pic18c801.c"
#include "pic18c858.c"
#include "pic18f1220.c"
#include "pic18f1320.c"
#include "pic18f2220.c"
#include "pic18f2320.c"
#include "pic18f2331.c"
#include "pic18f242.c"
#include "pic18f2431.c"
#include "pic18f2439.c"
#include "pic18f248.c"
#include "pic18f2515.c"
#include "pic18f2525.c"
#include "pic18f252.c"
#include "pic18f2539.c"
#include "pic18f2585.c"
#include "pic18f258.c"
#include "pic18f2610.c"
#include "pic18f2620.c"
#include "pic18f2680.c"
#include "pic18f2681.c"
#include "pic18f4220.c"
#include "pic18f4320.c"
#include "pic18f4331.c"
#include "pic18f442.c"
#include "pic18f4431.c"
#include "pic18f4439.c"
#include "pic18f448.c"
#include "pic18f4515.c"
#include "pic18f4520.c"
#include "pic18f4525.c"
#include "pic18f452.c"
#include "pic18f4539.c"
#include "pic18f4550.c"
#include "pic18f4585.c"
#include "pic18f458.c"
#include "pic18f4610.c"
#include "pic18f4620.c"
#include "pic18f4680.c"
#include "pic18f4681.c"
#include "pic18f6410.c"
#include "pic18f6490.c"
#include "pic18f6520.c"
#include "pic18f6525.c"
#include "pic18f6585.c"
#include "pic18f6620.c"
#include "pic18f6621.c"
#include "pic18f6680.c"
#include "pic18f6720.c"
#include "pic18f8410.c"
#include "pic18f8490.c"
#include "pic18f8520.c"
#include "pic18f8525.c"
#include "pic18f8585.c"
#include "pic18f8620.c"
#include "pic18f8621.c"
#include "pic18f8680.c"
#include "pic18f8720.c"
#include "ps500.c"


const struct pic_device *PIC_DEVICES[] = {
  &_dspic30f2010,
  &_dspic30f2011,
  &_dspic30f2012,
  &_dspic30f3010,
  &_dspic30f3011,
  &_dspic30f3012,
  &_dspic30f3013,
  &_dspic30f3014,
  &_dspic30f4011,
  &_dspic30f4012,
  &_dspic30f4013,
  &_dspic30f5011,
  &_dspic30f5013,
  &_dspic30f5015,
  &_dspic30f6010,
  &_dspic30f6011,
  &_dspic30f6012,
  &_dspic30f6013,
  &_dspic30f6014,
  &_pic10f200,
  &_pic10f202,
  &_pic10f204,
  &_pic10f206,
  &_pic12c508a,
  &_pic12c508,
  &_pic12c509a,
  &_pic12c509,
  &_pic12c671,
  &_pic12c672,
  &_pic12ce518,
  &_pic12ce519,
  &_pic12ce673,
  &_pic12ce674,
  &_pic12cr509a,
  &_pic12f508,
  &_pic12f509,
  &_pic12f629,
  &_pic12f635,
  &_pic12f675,
  &_pic12f683,
  &_pic14000,
  &_pic16c432,
  &_pic16c433,
  &_pic16c505,
  &_pic16c54,
  &_pic16c54c,
  &_pic16c554,
  &_pic16c557,
  &_pic16c558,
  &_pic16c55a,
  &_pic16c55,
  &_pic16c56a,
  &_pic16c56,
  &_pic16c57,
  &_pic16c57c,
  &_pic16c58a,
  &_pic16c58b,
  &_pic16c620a,
  &_pic16c620,
  &_pic16c621a,
  &_pic16c621,
  &_pic16c622a,
  &_pic16c622,
  &_pic16c62a,
  &_pic16c62b,
  &_pic16c63a,
  &_pic16c63,
  &_pic16c642,
  &_pic16c64a,
  &_pic16c65a,
  &_pic16c65b,
  &_pic16c662,
  &_pic16c66,
  &_pic16c67,
  &_pic16c710,
  &_pic16c711,
  &_pic16c712,
  &_pic16c715,
  &_pic16c716,
  &_pic16c717,
  &_pic16c71,
  &_pic16c72a,
  &_pic16c72,
  &_pic16c73a,
  &_pic16c73b,
  &_pic16c745,
  &_pic16c74a,
  &_pic16c74b,
  &_pic16c765,
  &_pic16c76,
  &_pic16c770,
  &_pic16c771,
  &_pic16c773,
  &_pic16c774,
  &_pic16c77,
  &_pic16c781,
  &_pic16c782,
  &_pic16c923,
  &_pic16c924,
  &_pic16c925,
  &_pic16c926,
  &_pic16ce623,
  &_pic16ce624,
  &_pic16ce625,
  &_pic16cr54a,
  &_pic16cr54,
  &_pic16cr54c,
  &_pic16cr56a,
  &_pic16cr57c,
  &_pic16cr58b,
  &_pic16cr620a,
  &_pic16cr62,
  &_pic16cr63,
  &_pic16cr64,
  &_pic16cr65,
  &_pic16cr72,
  &_pic16cr83,
  &_pic16cr84,
  &_pic16f505,
  &_pic16f54,
  &_pic16f57,
  &_pic16f627a,
  &_pic16f627,
  &_pic16f628a,
  &_pic16f628,
  &_pic16f630,
  &_pic16f636,
  &_pic16f648a,
  &_pic16f676,
  &_pic16f684,
  &_pic16f688,
  &_pic16f716,
  &_pic16f72,
  &_pic16f737,
  &_pic16f73,
  &_pic16f747,
  &_pic16f74,
  &_pic16f767,
  &_pic16f76,
  &_pic16f777,
  &_pic16f77,
  &_pic16f818,
  &_pic16f819,
  &_pic16f83,
  &_pic16f84a,
  &_pic16f84,
  &_pic16f870,
  &_pic16f871,
  &_pic16f872,
  &_pic16f873a,
  &_pic16f873,
  &_pic16f874a,
  &_pic16f874,
  &_pic16f876a,
  &_pic16f876,
  &_pic16f877a,
  &_pic16f877,
  &_pic16f87,
  &_pic16f88,
  &_pic16hv540,
  &_pic17c42a,
  &_pic17c42,
  &_pic17c43,
  &_pic17c44,
  &_pic17c752,
  &_pic17c756a,
  &_pic17c756,
  &_pic17c762,
  &_pic17c766,
  &_pic17cr42,
  &_pic17cr43,
  &_pic18c242,
  &_pic18c252,
  &_pic18c442,
  &_pic18c452,
  &_pic18c601,
  &_pic18c658,
  &_pic18c801,
  &_pic18c858,
  &_pic18f1220,
  &_pic18f1320,
  &_pic18f2220,
  &_pic18f2320,
  &_pic18f2331,
  &_pic18f242,
  &_pic18f2431,
  &_pic18f2439,
  &_pic18f248,
  &_pic18f2515,
  &_pic18f2525,
  &_pic18f252,
  &_pic18f2539,
  &_pic18f2585,
  &_pic18f258,
  &_pic18f2610,
  &_pic18f2620,
  &_pic18f2680,
  &_pic18f2681,
  &_pic18f4220,
  &_pic18f4320,
  &_pic18f4331,
  &_pic18f442,
  &_pic18f4431,
  &_pic18f4439,
  &_pic18f448,
  &_pic18f4515,
  &_pic18f4520,
  &_pic18f4525,
  &_pic18f452,
  &_pic18f4539,
  &_pic18f4550,
  &_pic18f4585,
  &_pic18f458,
  &_pic18f4610,
  &_pic18f4620,
  &_pic18f4680,
  &_pic18f4681,
  &_pic18f6410,
  &_pic18f6490,
  &_pic18f6520,
  &_pic18f6525,
  &_pic18f6585,
  &_pic18f6620,
  &_pic18f6621,
  &_pic18f6680,
  &_pic18f6720,
  &_pic18f8410,
  &_pic18f8490,
  &_pic18f8520,
  &_pic18f8525,
  &_pic18f8585,
  &_pic18f8620,
  &_pic18f8621,
  &_pic18f8680,
  &_pic18f8720,
  &_ps500,
 0
};
