/***************************************************************************
                          Config.h  -  description
                             -------------------
    begin                : dim dc 21 2003
    copyright            : (C) 2003 by Alain Gibaud
    email                : alain.gibaud@univ-valenciennes.fr
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef DIRECT_PROG_CONFIG_H
#define DIRECT_PROG_CONFIG_H

#include <qstring.h>
#include <qstringlist.h>

class DirectProgrammerConfig
{
public:
  static void setPortConfig(const QString &type, const QString& port, int vpp, int vdd, int clock, int dataout, int datain, int drw, int clkdelay );
  static void getCurrentPortConfig(QString &type, QString& port, int& vpp, int& vdd, int& clock, int& dataout, int& datain, int& drw, int& clkdelay )  ;
  static void getParPortConfig(QString &port, int &vpp, int& vdd, int &clock, int &dataout, int& datain, int& drw, int& clkdelay );
  static void getSerPortConfig(QString &port, int &vpp, int& vdd, int &clock, int &dataout, int& datain, int& drw, int& clkdelay );

  /** Write informations about  known programming cards */
  static void writeStdHardwares();
  /** Returns the list of std known programmers */
  static QStringList getStdHardwares();

  static void getHardConfig(const QString& name, QString &type, int& vpp, int& vdd, int& clock, int& dataout, int& datain, int& drw, int& clkdelay);
  static void setHardConfig(const QString& name, const QString &type, int vpp, int vdd, int clock, int dataout, int datain, int drw, int clkdelay) ;
};

#endif
