/***************************************************************************
 *   Copyright (C) 2005 Nicolas Hadacek <hadacek@kde.org>                  *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 ***************************************************************************/
#ifndef DIRECT_PROGRAMMER_H
#define DIRECT_PROGRAMMER_H

#include "../programmer.h"
#include "pic.hh"
#include "hardware.hh"

class DirectProgrammer : public Programmer
{
  Q_OBJECT
public:
  DirectProgrammer();
  virtual Type type() const { return DeviceUser::DirectProgrammer; }
  virtual QString port() const;
  const pic *getPic() { return _pic; }

private:
  pic      *_pic;
  hardware  _hard;

  virtual void internalSetDevice(const QString &name);
  virtual bool internalConnectDevice();
  virtual bool internalSetupTarget() { return true; }
  virtual bool internalReadDeviceId(QString &name, uint &revision);
  virtual bool internalRead(Memory &memory);
  virtual bool internalErase();
  virtual bool internalVerify(const Memory &memory);
  virtual bool internalProgram(const Memory &memory);
  virtual uint internalTotalSteps(Action, const Memory &) const { return 0; }
};

#endif
