/***************************************************************************
                          pic16F627A.cc  -  description
                             -------------------
    begin                : lun mar 8 2004
    copyright            : (C) 2004 by Alain Gibaud
    email                : alain.gibaud@univ-valenciennes.fr
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#include "pic16F627a.hh"

pic16F627A::pic16F627A()
{
    memaddr1 = 0x0 ; memaddr2 = 0x3FF ; // 1024 words
    idaddr1 = 0x2000 ; idaddr2 = 0x2003 ;
    eeaddr1 = 0x2100 ; eeaddr2 = 0x217F ;  // 128 bytes
    cfaddr1 = cfaddr2  = 0x2007 ;
}

/** No descriptions */
const char * pic16F627A::names()
{
  return "p16f627a" ;
}
/** No descriptions */
const char * pic16F627A::IDs()
{
  return "10A0" ;
}
/** No descriptions */
const char * pic16F627A::config_bits()
{
  return
  "/CP[13]{1=Code protection OFF\n0=protection ON} "
  "1(12-9){Unimplemented (read as '1')} "
  "/CPD[8]{1=Data memory protection OFF\n0=protection ON} "
  "LVP[7]{1=RB4 has PGM function\n0=RB4 is digital I/O} "
  "BOREN[6]{1=BOR enabled\n0=BOR disabled} "
  "MCLRE[5]{1=RA5 is /MCLRE\n0=RA5 is digital I/O} "
  "FOSC-2[4]"
  "{111=RC oscillator, CLKOUT on RA6\n"
  "110=RC oscillator, I/O on RA6\n"
  "101=INTOSC, CLCKOUT on RA6\n"
  "100=INTOSC, I/O on RA6\n"
  "011=EXTCLK, I/O on RA6\n"
  "001=XT oscillator, crystal on RA6\n"
  "000=LP oscillator, crystal on RA6} "
  "/PWRTE[3]{1=PWRTE disabled\n0= PWRTE enabled} "
  "WDTE[2]{1=WDT enabled\n0=WDT disabled} "
  "FOSC[1-0]"
  "{111=RC oscillator, CLKOUT on RA6\n"
  "110=RC oscillator, I/O on RA6\n"
  "101=INTOSC, CLCKOUT on RA6\n"
  "100=INTOSC, I/O on RA6\n"
  "011=EXTCLK, I/O on RA6\n"
  "001=XT oscillator, crystal on RA6\n"
  "000=LP oscillator, crystal on RA6} "  ;
}
/** Erase :  DS141196D page 11 */
int pic16F627A::erase_pic()
{
   unsigned int dummy ;
   pulseEngine("cdP,Bw100") ;
   pulseEngine("k0,S,w100,k9,w12000cdbp", &dummy) ; // Tera 6ms minimum
   return 0 ;
}
/** No descriptions */
int pic16F627A::program_pic(ostream& o)
{
    // this device uses the same algorithms as 16FXX, excepted
    // that command 8 is a "programming only" instead of a
    // "programming erase". So we need to erase the chip before
    // programming it
    erase_pic() ;
    return pic16FXX::program_pic(o) ;
}
