#include <stdio.h>
#include <ctype.h>
#include <getopt.h>
#include <stdlib.h>
#include <stdarg.h>
#include <string.h>


#include "pic16F628.hh"


// ========================== 16F628 specific code ======================
	
pic16F628::pic16F628()   
{
    memaddr1 = 0x0 ; memaddr2 = 0x7FF ; // 2048 words
    idaddr1 = 0x2000 ; idaddr2 = 0x2003 ;
    eeaddr1 = 0x2100 ; eeaddr2 = 0x217F ;  // 128 bytes
    cfaddr1 = cfaddr2 = 0x2007 ;
}


  
const char * pic16F628::names()
{
    return  "p16f628" ;
}
/** No descriptions */
const char * pic16F628::IDs()
{
	return "7C0" ;
}

const char * pic16F628::config_bits()
{
    return "CP[13-12] CP[11-10] 1[9] CPD[8] LVP[7] BODEN[6] MCLRE[5]"
            " FOSC-2[4] /PWRTE[3] WDTE[2] FOSC[1-0]" ;
}
/** 16F628 seems to have problems with the standard 16F84 bulk
erase when disabling code protection : the data memory is not
set to 0xFF.
This code adds a erase/programming pass on the data memory
 */
int pic16F628::erase_pic()
{
  unsigned int allff = 0xFFFF ;
  int stat = 0 , n , x ;

  // executes standard 16F84 erasing stuff
  stat |= pic16FXX::erase_pic() ;
  // re-enter programming init sequence
  pulseEngine("cdPw1Bw1", 0) ;
  
    /* Program the EEPROM data area */
  for( x = eeaddr1; x <= eeaddr2 ; x++ )
  {
	 n= pulseEngine("k3w1Sw1k8w10000k5fv", &allff) ;
 	 if( n != 0 )
	 {
		stat |= 2 ;   // report failure
   }
  	 pulseEngine("k6w1", 0) ;	// inc addr
  }
  /* shutdown sequence VPP off, VDD off, etc.. */
  pulseEngine("w1bw1pw1" , 0);
  return stat ;

}
