/***************************************************************************
                          pic16F630.cc  -  description
                             -------------------
    begin                : jeu jan 15 2004
    copyright            : (C) 2004 by Alain Gibaud
    email                : alain.gibaud@univ-valenciennes.fr

                            Code from Sean A. Walberg
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#include "pic16F630.hh"

pic16F630::pic16F630 ()     : pic12F675()
{     
      memaddr2 =  0x3FF ; // code memory : 1K  
      eeaddr2 = 0x217F ;  // EEPROM : 128 bytes
}
const char * pic16F630::names()
{
    return "p16f630 p16f676" ;
}

const char * pic16F630::IDs()
{
	return "10C0 10E0" ;
}

const char * pic16F630::config_bits()
{
    return
    "BG[13-12]{Badgap calibration bits: They are preserved\nby PiKdev during programmation and bulk erase.}"
    " 0(11-9){Unimplemented: Read as '0'}"
    " /CPD[8]{1=Data memory not protected\n0=Data memory protected}"
    " /CP[7]{1=Program memory is not protected\n0=Pregram memory protected}"
    " BODEN[6]{1=BOD reset enabled\n0=BOD reset disabled}"
    " MCLRE[5]{1=/MCLR pin is /MCLR function\n0=/MCLR pin is alternate function}"
    " /PWRTE[4]{1=PWRT disabled\n0=PWRT enabled}"
    " WDTE[3]{1=WDT enabled\n0=WDT disabled}"
    " FOSC[2-0]"
  "{111=RC oscillator, CLKOUT on RA4\n"
  "110=RC oscillator, I/O on RA4\n"
  "101=INTOSC, CLCKOUT on RA4\n"
  "100=INTOSC, I/O on RA4\n"
  "011=EXTCLK, I/O on RA4\n"
  "001=XT oscillator, crystal on RA4\n"
  "000=LP oscillator, low power crystal on RA4}"
 ;
}
