/***************************************************************************
                          pic16F636.cc  -  description
                             -------------------
    begin                : dim jan 2 2005
    copyright            : (C) 2005 by Gibaud Alain
    email                : alain.gibaud@free.fr
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#include "pic16F636.hh"

// NOTE: This class is theoritically convenient for 16F639 but,
// the device id is not documented.
pic16F636::pic16F636()
{
  memaddr2 = 0x7FF ;  // 2K word
  eeaddr2  = 0x21FF ; // 256 bytes
  backup_osccal2 = 0x2009 ; // 2 calibration words !
}
/** No descriptions */
const char * pic16F636::IDs()
{
  return "10A0" ;  // FIXME: add device ID for 639
}
/** No descriptions */
const char* pic16F636::names()
{
  return "p16f636"; // FIXME: add device name for 639
}
/** No descriptions */
const char* pic16F636::config_bits()
{
  return 
      "1(13){Unimplemented: Read as '1'}"
      " /WURE[12]{1=Standard wake-up enabled, 0=wake-up and reset enabled}"
      " FCMEM[11]{1=Fail safe clock monitor enabled, 0=disabled}"
      " IESO[10]{1=Internal External Switchover mode enabled, 0=Disabled}"
      " BODEN[9-8]{11=BOD enabled, SBODEN disabled\n"
      "10=BOD while running, SBODEN disabled\n"
      "01=SBODEN controls BOD function\n"
      "00=BOD and SBODEN disabled}"
      " /CPD[7]{1=Data memory not protected, 0=protected}"
      " /CP[6]{1=Program memory not protected, 0=protected}"
      " MCLRE[5]{0=MCLR pin is MCLR, with internal pull-up, 1=MCLR function disabled}"
      " /PWRTE[4]{0=PWRT enabled, 1=disabled}"
      " WDTE[3]{0=WDT disabled, 1=enabled}"
      " FOSC[2-0]{Oscillator selection bits:\n"
      "000=LP, 001=XT, 010=HS\n"
      "011=EC, 100=INTOSCIO, 101=INTOSC\n"
      "110=EXTRCIO, 111=EXTRC"
      "}";
}
