/***************************************************************************
                          pic16F688.cc  -  description
                             -------------------
    begin                : dim jan 2 2005
    copyright            : (C) 2005 by Gibaud Alain
    email                : alain.gibaud@free.fr
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#include "pic16F688.hh"

pic16F688::pic16F688()
{
  memaddr2 = 0xFFF ;  // 4K word
  eeaddr2  = 0x21FF ; // 256 bytes
}
/** No descriptions */
const char * pic16F688::IDs()
{
  return "1180" ;
}
/** No descriptions */
const char* pic16F688::names()
{
  return "p16f688";
}
/** No descriptions */
const char* pic16F688::config_bits()
{
  return "1(13-12){Unimplemented: Read as '1'}"
      " FCMEN[11]{1=Fail-safe Clock monitor enabled, 0=Disabled}"
      " IESO[10]{1=Internal External Switchover mode enabled, 0=Disabled}"
      " BODEN[9-8]{11=BOD enabled, SBODEN disabled\n"
      "10=BOD while running, SBODEN disabled\n"
      "01=SBODEN controls BOD function\n"
      "00=BOD and SBODEN disabled}"
      " /CPD[7]{1=Data memory not protected, 0=protected}"
      " /CP[6]{1=Program memory not protected, 0=protected}"
      " MCLRE[5]{0=MCLR pin is MCLR, with internal pull-up, 1=MCLR function disabled}"
      " /PWRTE[4]{0=PWRT enabled, 1=disabled}"
      " WDTE[3]{0=WDT disabled, 1=enabled}"
      " FOSC[2-0]{Oscillator selection bits:\n"
      "000=LP, 001=XT, 010=HS\n"
      "011=EC, 100=INTOSCIO, 101=INTOSC\n"
      "110=EXTRCIO, 111=EXTRC"
      "}";
}
