/*
  
Copyright 2004 Keith Baker (syzygy@pubnix.org)

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*/

#include <stdio.h>
#include <ctype.h>
#include <getopt.h>
#include <stdlib.h>
#include <stdarg.h>
#include <string.h>


#include "pic16F73.hh"




// ========================== 16F74/73	specific code ======================
//  16F73   TESTED : NO
// Tested on nearly identical pic16F76
// Seems to have trouble with ID bits, a program power up / down helps, 
// but then config bits don't work.  I need config bits so I am leaving it 
// alone for now...  odd.  Note that the manual says you just k0 and go to town // like all other burning, but the example it gives verifies with low power in 
// between programming and id/config bits hence why I tired the powerdown (with // some delays for power supply smoothing).
// Device doesn't support erasing durring program
// Warnings are posted if their is a misconfigured bit that we will be unable 
// to configure poroplerly.  A bit of optimization is done, we read first, 
// compare, send + burn only if needed.  This speeds up small bits of code but 
// will slow down a loaded chip.
// See pic16FXX.cc for a referance to the functions used in here.
	
pic16F73::pic16F73()  : pic16F76()
{
    memaddr2 = 0x0FFF ; // 4K  words
}
      
const char * pic16F73::names()
{
    return "p16f73 p16f74" ;
}
/** No descriptions */
const char * pic16F73::IDs()
{
	return "600 620" ;
}

