/***************************************************************************
                          pic16F87.cc  -  description
                             -------------------
    begin                : lun mar 1 2004
    copyright            : (C) 2004 by Alain Gibaud
    email                : alain.gibaud@univ-valenciennes.fr
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#include "pic16F87.hh"

pic16F87::pic16F87()
{
    memaddr1 = 0x0 ; memaddr2 = 0xFFF ; // 4K words
    idaddr1 = 0x2000 ; idaddr2 = 0x2003 ;
    eeaddr1 = 0x2100 ; eeaddr2 = 0x21FF ;  // 256 bytes
    cfaddr1 = 0x2007 ;  cfaddr2  = 0x2008 ;  // this device have 2 conf words
}

const char *pic16F87::IDs()
{
	return "0720 0760" ;
}
const char *pic16F87::names()
{
	return "p16f87 p16f88" ;
}
/** No descriptions */
const char * pic16F87::config_bits()
{
	return
	  // config word 1 2007
	  "CP[13]{0=Program Memory not protected\n1=All memory protected}"
    " CCPMX[12]{1=CPP1 on RB2\n0=CPP1 on RB3}"
    " DEBUG[11]{1=In circuit degugger off\n0=In circuit degugger on}"
    " WRT[10-9]{11=Flash memory protection off\n10=0 to 1FF protected\n01=0 to 3FF protected\n11=0 to 5FF protected}"
    " CPD[8]{1=EE memory non protected\n0=EE memory protected}"
    " LVP[7]{1=RB3 has PGM function (LVP enabled)\n0=RB3 is digital I/O}"
    " BOREN[6]{1=BOR enabled\n0=BOR disabled}"
    " MCLRE[5]{1=RA5 is /MCLR\n0=RA5 is digital I/O}"
    " FOSC-2[4]{111=EXTRC, CLK0 on RA6\n110=EXTRC, RA6 is IO\n101=INTRC, CLK0 on RA6\n100=INTRC, RA6 is IO\n011=EXTCLK\n010=HS\n001=XT\n000=LP}"
    " /PWRTEN[3]{1=PWRT disabled\n0=PWRT enabled}"
    " WDTEN[2]{1=WDT enabled\n0=WDT disabled}"
    " FOSC[1-0]{111=EXTRC, CLK0 on RA6\n110=EXTRC, RA6 is IO\n101=INTRC, CLK0 on RA6\n100=INTRC, RA6 is IO\n011=EXTCLK\n010=HS\n001=XT\n000=LP};"
    // config word 2 2008
    "1(13-2){Unimplemented: Read as '1'}"
    " IESO[1]{1=Internal External Switch Over enabled\n0=Disabled}"
    " FCMEN[0]{1=Fail Safe Clock Monitor enabled\n0=Disabled}"  ;

}
