/***************************************************************************
 *   Copyright (C) 2005 Nicolas Hadacek <hadacek@kde.org>                  *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 ***************************************************************************/
#include "Icd2PrgConfigWidget.h"

#include <qlayout.h>
#include <qlabel.h>

#include <klocale.h>

#include "icd2_prog_config.h"

Icd2ProgConfigWidget::Icd2ProgConfigWidget(QWidget *parent)
  : ConfigWidget(parent)
{
  QGridLayout *top = new QGridLayout(this, 1, 1, 10, 10);

  QLabel *label = new QLabel("Serial port:", this);
  top->addWidget(label, 0, 0);
  _port = new QComboBox(this);
  _port->insertStringList(Port::deviceList(Port::Serial));
  _port->setCurrentText(Icd2Config::readPort());
  top->addWidget(_port, 0, 1);

  label = new QLabel("Target Vdd source:", this);
  top->addWidget(label, 1, 0);
  _targetVdd = new QComboBox(this);
  _targetVdd->insertItem(i18n("self"));
  _targetVdd->insertItem(i18n("ICD2"));
  _targetVdd->setCurrentItem(Icd2Config::readVddSourceType());
  top->addWidget(_targetVdd, 1, 1);

  top->setRowStretch(2, 1);
}

void Icd2ProgConfigWidget::doApply()
{
  Icd2Config::writePort(_port->currentText());
  Icd2Config::writeVddSourceType(Icd2::VddSourceType(_targetVdd->currentItem()));
}
