/***************************************************************************
 *   Copyright (C) 2005 Nicolas Hadacek <hadacek@kde.org>                  *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 ***************************************************************************/
#include "icd2_prog_config.h"

#include <kapplication.h>
#include <kconfig.h>

Icd2::VddSourceType Icd2Config::readVddSourceType()
{
  KConfig *conf = kapp->config();
  conf->setGroup("icd2");
  return Icd2::VddSourceType(conf->readUnsignedNumEntry("vdd_source_type", Icd2::TargetVddSource));
}

void Icd2Config::writeVddSourceType(Icd2::VddSourceType type)
{
  KConfig *conf = kapp->config();
  conf->setGroup("icd2");
  conf->writeEntry("vdd_source_type", type);
}

QString Icd2Config::readPort()
{
  KConfig *conf = kapp->config();
  conf->setGroup("icd2");
  QStringList list = Port::deviceList(Port::Serial);
  return conf->readEntry("port", list[0]);
}

void Icd2Config::writePort(const QString &port)
{
  KConfig *conf = kapp->config();
  conf->setGroup("icd2");
  conf->writeEntry("port", port);
}
