/***************************************************************************
 *   Copyright (C) 2005 Nicolas Hadacek <hadacek@kde.org>                  *
 *   Copyright (C) 2002-2004 Alain Gibaud <alain.gibaud@free.fr>           *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 ***************************************************************************/
#include <kapp.h>
#include <kaboutdata.h>
#include <klocale.h>
#include <kcmdlineargs.h>
#include <kstandarddirs.h>
#include <kmessagebox.h>
//#include <ksplashscreen.h>

#include "config.h"
#include "PikMain.h"
//#include "xml_device.h"

int main( int argc, char **argv )
{
  static KCmdLineOptions options[] = {
    { "+[file]", I18N_NOOP("Optional filenames to open upon startup."), 0 },
    { 0, 0, 0}
  };

    KAboutData aboutData ("piclab", I18N_NOOP("Piclab"), VERSION,
                          I18N_NOOP( "Piclab - A development environment for applications based on PIC microcontrollers."),
                          KAboutData::License_GPL,
                          I18N_NOOP( "(c) 2005 Nicolas Hadacek\n(c) 2002-2004 Alain Gibaud\n(c) 2003-2004 Stephen Landamore" ), 0, "http://piclab.sourceforge.net");

    aboutData.addAuthor("Nicolas Hadacek", I18N_NOOP("Author"), "hadacek@kde.org");
    aboutData.addAuthor("Alain Gibaud", I18N_NOOP("Original Author of PiKdev"), "alain.gibaud@free.fr");
    aboutData.addAuthor("Stephen Landamore", I18N_NOOP("LPLAB Author (original microchip programmer support)"), "webmaster@landamore.com");
    aboutData.addCredit("Brian C. Lane", I18N_NOOP("Original code for programming PICs."), 0);
    aboutData.addCredit("Manwlis \"Manos\" Giannos", I18N_NOOP("Pic18F programming code"), "mgiannos2000@yahoo.gr");
    aboutData.addCredit("Gerardo", I18N_NOOP("Parsing command line arguments"), "gpuga@gioia.ing.unlp.edu.ar");
    aboutData.addCredit("Sean A. Walberg", I18N_NOOP("16F676/630 support"), "sean@ertw.com");
    aboutData.addCredit("Mirko Panciri", I18N_NOOP("Support for programmers with bidirectionnal buffers"), "mirko.panciri@adept.it");
    aboutData.addCredit("Keith Baker", I18N_NOOP("Support for 16F73/74/76/77"), "susyzygy@pubnix.org" );

    // Command line arguments; PikMain will check those later
    KCmdLineArgs::init( argc, argv, &aboutData );
    KCmdLineArgs::addCmdLineOptions( options );
    KApplication::addCmdLineOptions();

    KApplication a ;

#if 0
    QString splashimg_name =  locate("data", "pikdev/pics/splash.png") ;
    QPixmap spimg(splashimg_name) ;
    KSplashScreen *sp = 0 ;

    if( !spimg.isNull() ) {
      sp = new KSplashScreen(spimg,Qt::WStyle_StaysOnTop) ;
      sp->setFixedSize(spimg.size());
      sp->show();
    }
#endif

    if ( a.isRestored() ) RESTORE(PikMain)
    else {
      PikMain *wid = new PikMain;
      wid->show();
    }

//    XmlDevice xd;
//    xd.createFile(); // #### REMOVE ME !!!

#if 0
    if(sp) {
      sp->clear();
      sp->message( i18n("Done.") , Qt::AlignRight, QColor(0,0,0));
      sp->finish(wid);
      delete sp ;
    }
#endif

    return a.exec();
}
